import settings from '@/settings'
import request from '@/utils/request'
const systemPrefix = settings.systemPrefix

export function getFoundationsController() {
  return request({
    url: `${systemPrefix}/im/dhc/zz/automake/zzmanage/comitem_manager/GetFoundationsController.do`,
    method: 'post',
    data:{type:'com_item'},
  })
}
export function userDataLevelQueryController() {
  return request({
    url: `${systemPrefix}/im/dhc/sys/automake/system/user_manager/UserDataLevelQueryController.do`,
    method: 'POST',
  })
}
export function getRecursionSqlResultPublicMethod(paramMap) {
  return request({
    url: `${systemPrefix}/im/dhc/zz/automake/zzmanage/accounting_manager/generalAccount_manager/GetRecursionSqlResultPublicMethod.do`,
    method: 'post',
    data: {
        str: paramMap.str,
        extralSql1: new Buffer(String).toString(paramMap.extralSql1),
        extralSql2: new Buffer(String).toString(paramMap.extralSql2),
        iniNodeAttr: paramMap.iniNodeAttr,
        tableName: paramMap.tableName,
        whereSql: paramMap.whereSql,
        beforeWhere: paramMap.beforeWhere,
        afterWhere: paramMap.afterWhere,
        idColumn: paramMap.idColumn,
        pidColumn: paramMap.pidColumn
  }
})
}
